% Example 3.5
% 
% Copyright 2015 Ali N. Akansu and Mustafa U. Torun
%
% A Primer for Financial Engineering
% Financial Signal Processing and Electronic Trading
%

clc; clear all; close all;

% Given values
P = [1 0.6 0.2; 0.6 1 0.7; 0.2 0.7 1];
SIGMA = diag([0.02, 0.03, 0.01]);
C = SIGMA' * P * SIGMA;
MU = [0.07;0.03; 0.02];
ONE = [1; 1; 1];

% Market Portfolio
rf = 0.015;
temp = C \ (MU - ONE * rf);
qm = temp / sum(temp)
mu_m = qm' * MU
sigma_m =sqrt(qm' * C * qm)